Unable to install any addons or update existing addons

  • Hi, i'm a complete noob in Libreelec, linux and Raspberry PI 3b+. I installed 9.2.1 via site installer and got all these errors. Somewhere here in General Help discussions i saw a thread with problems like mine and someone suggest to install 9.2.0 instead. I did it and just to be sure with another SD card.

    And now it's same problems - cannot install any add-on, cannot connect to LibreELEC Add-ons repo (yes, i did 30 seconds waiting in network settings), update failed on all existing add-ons.

    So i tried: to install some script from BANNEDREPO as suggests a lot of videos - it didn't work because "installation failed".

    tried to clear cache - nothing changes.

    tried to delete addon27.db file - nothing changes

    tried to install custom repos with some scripts or add-ons that should fix everything according to youtube videos - same result, nothing.

    tried to factory reset - same result.


    Could it be that 9.2.0 and 9.2.1 just don't work with my Raspberri PI 3b+?


    Please advice.

    Edited once, last by CvH: removed banned repo ().

    • Official Post

    So i tried: to install some script from fusion repo as suggests a lot of videos - it didn't work because "installation failed".

    ^ The moment you installed a banned repo on your device, we lost all interest in helping.

  • Well, how do i know if it's banned or not? I guess all that memes about linux community being toxic and self-centered are true lol.

    • Official Post

    I guess all that memes about linux community being toxic and self-centered are true

    This is not about Linux at all. This is you asking for our help with what is basically a crime in many countries.


    It's pretty simple: if you have installed add-ons to watch movies, tv series, sports for free, for which you normally would have to pay, then it will be a banned add-on. So we are simply not helping you with an illegal Kodi setup.


    Nothing toxic about that, only common sense. If you want to use such add-ons, that's your choice. Just don't come to us for help.